%define	name	kradio
%define	version 4.0.7
%define	release	%mkrel 5
%define	Summary	A V4L/V4L2-Radio Application for KDE 4.x

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound/Players
License:	GPLv2+
Url:		http://sourceforge.net/projects/kradio/
Source0:	http://downloads.sourceforge.net/kradio/%{name}4-%{version}.tar.bz2
Patch2:		kradio-fix-invalid-desktop.patch
Patch3:		kradio4-install-desktop.patch
BuildRequires:	kdelibs4-devel >= 2:4.1.83
BuildRequires:	boost-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libalsa-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libmms-devel
BuildRequires:	lirc-devel
BuildRequires:	oggvorbis-devel
%if "%distro_section" == "tainted"
BuildRequires:	lame-devel
%endif

%description
Comfortable Radio Application for KDE 4.x

KRadio is a comfortable radio application for KDE 4.x.
It has support for V4L and V4L2 radio cards drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Recording Capabilities
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset.
files for many cities around the world contributed by KRadio Users.

%if "%distro_section" == "tainted"
This package is in the "tainted" section, because it requires tainted lame
package.
%endif

%prep
%setup -q -n %{name}4-%{version}
%patch2 -p1 -b .xdg
%patch3 -p1 -b .install

%build
%cmake_kde4
%make
 
%install
%makeinstall_std -C build

rm -fr %buildroot%_datadir/doc/*

%find_lang %name --all-name

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%{_kde_bindir}/*
%{_kde_libdir}/%{name}4
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/pixmaps/kradio4.png
%{_kde_appsdir}/%{name}4
%{_kde_iconsdir}/*/*/*/*


%changelog
* Thu Oct 31 2013 tmb <tmb> 4.0.7-5.mga4
+ Revision: 548191
- Mageia 4 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.0.7-4.mga4
+ Revision: 529953
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 fwang <fwang> 4.0.7-3.mga4
+ Revision: 454452
- rebuild for new ffmpeg

* Wed Jul 10 2013 fwang <fwang> 4.0.7-2.mga4
+ Revision: 452342
- rebuild for new boost

* Thu Jun 13 2013 fwang <fwang> 4.0.7-1.mga4.tainted
+ Revision: 442362
- build lame plugin

* Thu Jun 13 2013 fwang <fwang> 4.0.7-1.mga4
+ Revision: 442313
- new version 4.0.7

* Sat Jan 12 2013 umeabot <umeabot> 4.0.6-3.mga3
+ Revision: 356455
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 neoclust <neoclust> 4.0.6-2.mga3
+ Revision: 341084
- Fix group

* Fri Sep 07 2012 fwang <fwang> 4.0.6-1.mga3
+ Revision: 289126
- br boost
- new version 4.0.6

* Fri Mar 02 2012 fwang <fwang> 4.0.4-1.mga3
+ Revision: 216640
- drop merged patch
- new version 4.0.4

* Sun Jun 26 2011 fwang <fwang> 4.0.2-2.mga2
+ Revision: 113873
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Mar 10 2011 mikala <mikala> 4.0.2-1.mga1
+ Revision: 67709
- Remove BuildRoot
- Drop mdk macros
- imported package kradio

